org.apache.ignite.internal.util.lang.gridfunc

## Class CacheEntryHasPeekPredicate

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.CacheEntryHasPeekPredicate

All Implemented Interfaces:
  Serializable, IgnitePredicate

    public class CacheEntryHasPeekPredicate
    extends Object
    implements IgnitePredicate

Cache entry has-peek-value predicate.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryHasPeekPredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Object o)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheEntryHasPeekPredicate

    public CacheEntryHasPeekPredicate()

### Method Detail

#### apply

    public boolean apply(Object o)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate`
Parameters:
  `o` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018